function dYfuncvecdW = ODEfun(W,Yfuncvec); 
Fa = Yfuncvec(1); 
Fb = Yfuncvec(2); 
Fc = Yfuncvec(3); 
Fd = Yfuncvec(4); 
p = Yfuncvec(5); 
% Explicit equations
Ft = Fa + Fb + Fc + Fd; 
k1a = 100; 
k2c = 1500; 
Cto = 0.2; 
Ca = Cto * Fa / Ft * p; 
Cb = Cto * Fb / Ft * p; 
Cc = Cto * Fc / Ft * p; 
r1a = 0 - (k1a * Ca * Cb ^ 2); 
r1b = 2 * r1a; 
rb = r1b; 
r2c = 0 - (k2c * Ca ^ 2 * Cc ^ 3); 
r2a = 2 / 3 * r2c; 
r2d = -1 / 3 * r2c; 
r1c = 0 - r1a; 
rd = r2d; 
ra = r1a + r2a; 
rc = r1c + r2c; 
v = 100; 
Cd = Cto * Fd / Ft * p; 
alpha = 0.0019; 
Fto = 20; 
if (W > 0.0001) 
    Scd = Fc / Fd;
else
    Scd = 0;
end 
% Differential equations
dFadW = ra; 
dFbdW = rb; 
dFcdW = rc; 
dFddW = rd; 
dpdW = 0 - (alpha / 2 / p * Ft / Fto); 
dYfuncvecdW = [dFadW; dFbdW; dFcdW; dFddW; dpdW]; 

